Create a menu item
Body·
required
application/json
- Type: stringnamerequired
Display name of the menu item
- Type: integerspace
Id requiredID of the space this menu item belongs to
- Type: array integer[]categories
IDs of categories allowed to see this menu item
- Type: stringcolor
Display color for the menu item in hex format (e.g. #FF5733)
- Type: stringcontent
Link URL or custom content (for type 'link')
- Type: integercustom
Module Id ID of the custom module the menu item is bound to
- Type: booleandisplay
True if the menu item should be displayed, false otherwise
- Type: integerentity
Id ID of the entity the menu item points to
- Type: stringicon
Icon identifier for the menu item
- Type: string Format: date-timemodified
Timestamp of the last modification of the menu item
- Type: stringmodule
System name of the module the item links to (for type 'module')
- Type: integerorder
Sort order of the menu item within its level
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/menu
curl https://test.boost.space/api/menu \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"updated": "2026-01-15T09:30:00Z",
"updatedUserId": 42,
"modified": "2026-01-15T09:30:00Z",
"entityId": 42,
"parentId": 42,
"customModuleId": 42,
"spaceId": 42,
"type": "module",
"module": "string",
"view": "string",
"content": "string",
"target": "string",
"order": 1,
"name": "Sample name",
"color": "#1f6feb",
"icon": "string",
"display": true,
"users": [
1
],
"teams": [
1
],
"categories": [
1
]
}'
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"updated": "2026-01-15T09:30:00Z",
"updatedUserId": 42,
"modified": "2026-01-15T09:30:00Z",
"entityId": 42,
"parentId": 42,
"customModuleId": 42,
"spaceId": 42,
"type": "module",
"module": "string",
"view": "string",
"content": "string",
"target": "string",
"order": 1,
"name": "Sample name",
"color": "#1f6feb",
"icon": "string",
"display": true,
"users": [
1
],
"teams": [
1
],
"categories": [
1
]
}Created menu item